package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.back.serve.pojo.dto.GameTencentMiniGameOrderDTO;
import com.zanxiang.game.back.serve.pojo.dto.OrderReportDTO;
import com.zanxiang.game.back.serve.pojo.entity.GameTencentMiniGameOrder;
import com.zanxiang.game.back.serve.pojo.vo.GameTencentMiniGameOrderVO;

public interface IGameTencentMiniGameOrderService extends IService<GameTencentMiniGameOrder> {

    boolean orderBack(GameTencentMiniGameOrder orderLog);

    boolean callback(GameTencentMiniGameOrder orderLog);

    IPage<GameTencentMiniGameOrderVO> listOfPage(GameTencentMiniGameOrderDTO dto);

    boolean doReport(OrderReportDTO dto);
}
